Buteo::ProfileManager::SearchCriteria Struct Reference

Search criteria for finding profiles. More...

`#include <ProfileManager.h>`

## Public Types

enum | Type { EXISTS , NOT_EXISTS , EQUAL , NOT_EQUAL }
| Enum to identify if a member type exists or not. More...

## Public Member Functions

| SearchCriteria ()
| Constructor.
| SearchCriteria (const SearchCriteria &aSource)
| Copy constructor.
SearchCriteria & | operator= (const SearchCriteria &other)

## Public Attributes

Type | iType
| Search criteria type.
QString | iSubProfileName
QString | iSubProfileType
QString | iKey
| Key name. If this is empty, key comparison is not made.
QString | iValue
| Key value. This must be given if criteria type is EQUAL or NOT_EQUAL.

## Detailed Description

Search criteria for finding profiles.

## Member Enumeration Documentation

## Type

enum Buteo::ProfileManager::SearchCriteria::Type

Enum to identify if a member type exists or not.

Enumerator
EXISTS | Sub-profile (and key) exists.
NOT_EXISTS | Sub-profile (or key) does not exist.
EQUAL | Key value is equal.
NOT_EQUAL | Key value is not equal.

## Member Data Documentation

## iSubProfileName

QString Buteo::ProfileManager::SearchCriteria::iSubProfileName

Sub-profile name. If this is empty but profile type is given, matching is tried with each sub-profile of correct type. If both profile name and type are empty, mathing is done with keys of the main profile.

## iSubProfileType

QString Buteo::ProfileManager::SearchCriteria::iSubProfileType

Sub-profile type. If this is empty but profile name is given, matching is done with the first sub-profile having the correct name regardless of the type.

The documentation for this struct was generated from the following files:

- ProfileManager.h
- ProfileManager.cpp